CATAN(3) | Library Functions Manual | CATAN(3)

# NAME

catan, catanf, catanl — complex arc tangent functions

# SYNOPSIS

#include <complex.h>
double complex
catan(double complex z);
float complex
catanf(float complex z);
long double complex
catanl(long double complex z);

# DESCRIPTION

These functions compute the complex arc tangent of z, with branch cuts outside the interval [- i, +i] along the imaginary axis.

# RETURN VALUES

These functions return the complex arc tangent value, in the range of a strip mathematically unbounded along the imaginary axis and in the interval [-pi/2, +pi/2] along the real axis.

# ERRORS

No errors are defined.

# SEE ALSO

ctan(3), IEEE Std 1003.1-2001 (“POSIX.1”) ⟨complex.h⟩

# COPYRIGHT

Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .

January 29, 2013 | NetBSD 8.2